Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic
Class DCRowContext

`java.lang.Object
oracle.adf.model.generic.DCRowContext`

All Implemented Interfaces:
  oracle.adf.model.RowContext, RowContext

Direct Known Subclasses:
  DCGenericRowContext

public class DCRowContext
extends java.lang.Object
implements oracle.adf.model.RowContext

Field Summary
`protected oracle.jbo.AttributeList` | `mAL`
`protected Row` | `mRow`
`protected RowSetIterator` | `mRSI`
`protected StructureDef` | `mStructureDef`

Constructor Summary
`protected` | `DCRowContext(Row row, RowSetIterator iter, StructureDef def)`
`` | `DCRowContext(RowSetIterator iter, StructureDef def, oracle.jbo.AttributeList al)`

Method Summary
`oracle.jbo.AttributeList` | `getAttributeList()`
`java.util.Map` | `getBindingContextMap()` Return the bindingContext for this Application instance.
`int` | `getCurrentRowIndex()`
`java.lang.String` | `getMasterAccessorName()`
`OperationInfo` | `getMasterOperationInfo()`
`java.lang.Object` | `getMasterRowDataProvider()` Return the data object of the master row of the row that this RowContext represents.
`Row` | `getRow()`
`java.lang.Object` | `getRowDataContainer()`
`java.lang.Object` | `getRowDataProvider()` Return the data object that this row represents.
`java.lang.String` | `getRowDataProviderType()` Return the fully-qualified type name for the dataprovider that this row represents.
`RowSetIterator` | `getRowSetIterator()`
`StructureDef` | `getStructureDef()`
`boolean` | `isNullContainer()` Return true when the container object of this row is null.
`boolean` | `isNullRSI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mRow

    protected Row mRow

### mStructureDef

    protected StructureDef mStructureDef

### mRSI

    protected RowSetIterator mRSI

### mAL

    protected oracle.jbo.AttributeList mAL

Constructor Detail

### DCRowContext

    protected DCRowContext(Row row,
                           RowSetIterator iter,
                           StructureDef def)

### DCRowContext

    public DCRowContext(RowSetIterator iter,
                        StructureDef def,
                        oracle.jbo.AttributeList al)

Method Detail

### getAttributeList

    public oracle.jbo.AttributeList getAttributeList()

### getMasterRowDataProvider

    public java.lang.Object getMasterRowDataProvider()

  Description copied from interface: `RowContext`
  Return the data object of the master row of the row that this RowContext represents.
  Specified by:
    `getMasterRowDataProvider` in interface `RowContext`
  Returns:
    The data object of the master row

### getRowDataProvider

    public java.lang.Object getRowDataProvider()

  Description copied from interface: `RowContext`
  Return the data object that this row represents.
  Specified by:
    `getRowDataProvider` in interface `RowContext`

### getRow

    public Row getRow()

### isNullRSI

    public boolean isNullRSI()

### isNullContainer

    public boolean isNullContainer()

  Description copied from interface: `RowContext`
  Return true when the container object of this row is null. In that case, the datacontrol may also have to create the container object.
  Specified by:
    `isNullContainer` in interface `RowContext`

### getStructureDef

    public StructureDef getStructureDef()

### getRowDataProviderType

    public java.lang.String getRowDataProviderType()

  Description copied from interface: `RowContext`
  Return the fully-qualified type name for the dataprovider that this row represents.
  Specified by:
    `getRowDataProviderType` in interface `RowContext`

### getRowSetIterator

    public RowSetIterator getRowSetIterator()

### getCurrentRowIndex

    public int getCurrentRowIndex()

  Specified by:
    `getCurrentRowIndex` in interface `oracle.adf.model.RowContext`

### getBindingContextMap

    public java.util.Map getBindingContextMap()

  Description copied from interface: `RowContext`
  Return the bindingContext for this Application instance.
  Specified by:
    `getBindingContextMap` in interface `RowContext`

### getRowDataContainer

    public java.lang.Object getRowDataContainer()

  Specified by:
    `getRowDataContainer` in interface `oracle.adf.model.RowContext`

### getMasterAccessorName

    public java.lang.String getMasterAccessorName()

  Specified by:
    `getMasterAccessorName` in interface `oracle.adf.model.RowContext`

### getMasterOperationInfo

    public OperationInfo getMasterOperationInfo()

  Specified by:
    `getMasterOperationInfo` in interface `oracle.adf.model.RowContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.